/*******************************************************************************
 * Copyright (c) 2018 Renesas Electronics Corporation. All rights reserved.
 *
 * DESCRIPTION   : dummy fw main function
 ******************************************************************************/
#include <stdio.h>
#include <stdint.h>
#include <log.h>
#include <dummy_fw_main.h>
#include <mem_io.h>
#include <remap.h>
#include <remap_register.h>
#include <rcar_def.h>
#include <scif.h>
#include <rst_register.h>

/* Global */
extern const char build_message[];

static void boot_message(void);


uint32_t dummy_fw_main(void)
{
	scif_init();
	boot_message();
	while(1);
}

static void boot_message(void)
{
	/* boot message */
	console_puts("",1);
	console_puts("Dummy FW Program",1);
	console_puts("Dummy FW Program boot end",1);
}
